commit: 5ef1ce2b119674447c99b1bd5911f1a3344ca1fc
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 20 08:29:02 2020 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Apr 20 08:36:09 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ef1ce2b
dev-python/pyglet: Version bump to 1.5.3, EAPI 7
The dev-python/sympy tests all pass with this, including the pyglet
one that reportedly failed. games-puzzle/brainworkshop also works.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
dev-python/pyglet/Manifest | 1 +
dev-python/pyglet/metadata.xml | 3 ++
dev-python/pyglet/pyglet-1.5.3.ebuild | 63 +++++++++++++++++++++++++++++++++++
3 files changed, 67 insertions(+)
diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index 89c12c22fb8..6f893d1c4e0 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1 +1,2 @@
DIST pyglet-1.2.4.tar.gz 2122017 BLAKE2B
6e5e24ec78e24b9a9c8e9627791ede93d740c1af7af0176c6f75409c76981fa16752bbe14c9b5ec871438f5468b3587e7ce12194241d94ab3731d46cbbe395f1
SHA512
70cd781936db8c8c156499e524ee73520bc90c19461074264abd62a4854307ef090af5faba521686f247fb4cbee552a428892f59a5b382429acfc000f4c2e22d
+DIST pyglet-1.5.3.tar.gz 6356079 BLAKE2B
517b196eff334d572d4db181ce0480c3af8e2bc4a92e23e1fd7c335aedebe3afa493eb3f4745d8daffc3c7d930b9e333075014d2ba5d4303f4691c490a09f252
SHA512
12e7189272b9ab3b4bd3d713d0e979cfc1d76200fc8454b31573fca29b179f99242c34a1adb7a1c2fabb7b950cc3006cfcd8b188eb2c50ae95cca95b0e15582c
diff --git a/dev-python/pyglet/metadata.xml b/dev-python/pyglet/metadata.xml
index 85c37d9142f..c4ade21967f 100644
--- a/dev-python/pyglet/metadata.xml
+++ b/dev-python/pyglet/metadata.xml
@@ -8,6 +8,9 @@
<email>[email protected]</email>
<name>Python</name>
</maintainer>
+ <use>
+ <flag name="image">Enable support for image formats other than PNG and
BMP</flag>
+ </use>
<longdescription lang="en">This library provides an object-oriented
programming interface
for developing games and other visually-rich applications with Python.
pyglet has virtually no external dependencies. For most applications
diff --git a/dev-python/pyglet/pyglet-1.5.3.ebuild
b/dev-python/pyglet/pyglet-1.5.3.ebuild
new file mode 100644
index 00000000000..c583e7548a7
--- /dev/null
+++ b/dev-python/pyglet/pyglet-1.5.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="http://www.pyglet.org/"
+SRC_URI="https://github.com/pyglet/pyglet/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples image +sound test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ virtual/opengl
+ image? ( || (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ ) )
+ sound? ( || (
+ media-libs/openal
+ media-sound/pulseaudio
+ ) )
+"
+# ffmpeg? ( media-libs/avbin-bin )
+
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+# pyglet.gl.glx_info.GLXInfoException: pyglet requires an X server with GLX
+# Other tests fail or stall for unknown reasons.
+RESTRICT=test
+
+DOCS=(
+ DESIGN
+ NOTICE
+ README.md
+ RELEASE_NOTES
+)
+
+python_test() {
+ xdg_environment_reset
+ run_in_build_dir virtx pytest -v "${S}"/tests
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}